OSS = 3 -- oversampling setting (0-3)
local jsonDump 
local data = {
    inTemp = "",
    outTemp = "",
    inPress = "",
    outCond = "",
    inHum = "",
    outHum = ""
}

config = require("config")
function connect()  
    wifi.setmode(wifi.STATION)
    wifi.sta.config(config.wifiNetwork,config.wifiPassword)
    wifi.sta.autoconnect(1)
    
    --print("Connection Phase Complete : ")
    --print(wifi.sta.getip())
end

function getInfo() 
    local fstring = ""
    local fstring2 = ""
    local pos = 0
    
    --dout = "GET /v1/public/yql?format=json&q=select%20*%20from%20weather.forecast%20where%20woeid="
    --dout = "GET /v1/public/yq l?format=json&q=select%20atmosphere.humidity%2Citem.condition.temp%2C%20item.condition.text%20from%20weather.forecast%20where%20woeid="
    dout = "GET /v1/public/yql?format=json&q=select%20item.forecast%20from%20weather.forecast%20where%20woeid="
    dout2 = " HTTP/1.1\r\nHost: query.yahooapis.com\r\nAccept: */*\r\nConnection: close\r\n\r\n"
    dfinal = dout..config.woeid..dout2
    
    print("DATA\r\n")
    --print("\r\n====SENT====\r\n")
    --print(dfinal)

    myConn=net.createConnection(net.TCP, 0)
    myConn:on("receive", function(din, jsonDump)           
        pos = 0
        
        --print("\r\n====GOT====\r\n")
        --print(jsonDump)
        
        --print("\r\n====INFO====\r\n")
        for var=0,4,1 do
            fstring,pos = getValue("date",jsonDump,pos)    
            fstring2,pos = getValue("day",jsonDump,pos)    
            print("Date: "..fstring2.." "..fstring)
            
            fstring,pos = getValue("high",jsonDump,pos)
            fstring2,pos = getValue("low",jsonDump,pos)
            print("Temp: "..fstring.."/"..fstring2.." degrees (F)")
    
            fstring,pos = getValue("text",jsonDump,pos)    
            print("Info: "..fstring.."\r\n")
        end
        
        
        
        --print("Info Complete!\r\n")
    end )
    myConn:connect(80, "98.137.200.255")
--    myConn:send(dfinal)
    myConn:on("connection", function(sck,c)
        myConn:send(dfinal)
        end)
   
end

function getValue (value, str, num)
    a = num 
    a,s = string.find(str, value.."\":\"",num)
    if a == nil then return "",0 end
    f,b = string.find(str, "\"",s+1)
    return string.sub(str, s+1, f-1),b
end
connect() 
